﻿using AsReaderGun251GSDK;
using Foundation;

namespace AsReaderGun251GDemoApp
{
    public class AsBarcodeItem : NSObject, INSCoding
    {
        public BarcodeType barcodeType;
        public string codeId;
        public string barcode;
        public string dateTime;
        public string count;

        public AsBarcodeItem()
        {

        }
        [Export("initWithCoder:")]
        public AsBarcodeItem(NSCoder coder)
        {
            NSNumber number = (NSNumber)coder.DecodeObject("barcodeType");
            byte aaa = number.ByteValue;
            barcodeType = (BarcodeType)aaa;
            codeId = (NSString)coder.DecodeObject(@"codeId").ToString();
            barcode = (NSString)coder.DecodeObject(@"barcode").ToString();
            dateTime = (NSString)coder.DecodeObject(@"dateTime").ToString();
            count = (NSString)coder.DecodeObject(@"count").ToString();
        }
        public virtual void EncodeTo(NSCoder coder)
        {
            //virtual
            coder.Encode(new NSNumber((byte)(barcodeType)), "barcodeType");
            coder.Encode(new NSString(codeId), "codeId");
            coder.Encode(new NSString(barcode), "barcode");
            coder.Encode(new NSString(dateTime), "dateTime");
            coder.Encode(new NSString(count), "count");
        }
    }
}
